<?php

namespace hscstudio\heart\modules\admin\models\searchs;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use hscstudio\heart\modules\admin\models\Menu as MenuModel;

/**
 * Menu represents the model behind the search form about `hscstudio\heart\modules\admin\models\Menu`.
 */
class Menu extends MenuModel
{

    public function rules()
    {
        return [
            [['id', 'parent', 'order'], 'integer'],
            [['name', 'route', 'parent_name'], 'safe'],
        ];
    }

    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    public function search($params)
    {
        $query = MenuModel::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query
        ]);

        $query->leftJoin(['parent' => '{{%menu}}'], '{{%menu}}.parent=parent.id');
        $sort = $dataProvider->getSort();
        $sort->attributes['menuParent.name'] = [
            'asc' => ['parent.name' => SORT_ASC],
            'desc' => ['parent.name' => SORT_DESC],
            'label' => 'parent',
        ];
        $sort->attributes['order'] = [
            'asc' => ['parent.order' => SORT_ASC, '{{%menu}}.order' => SORT_ASC],
            'desc' => ['parent.order' => SORT_DESC, '{{%menu}}.order' => SORT_DESC],
            'label' => 'order',
        ];
        $sort->defaultOrder = ['menuParent.name' => SORT_ASC];

        if (!($this->load($params) && $this->validate())) {
            return $dataProvider;
        }

        $query->andFilterWhere([
            'id' => $this->id,
            'parent' => $this->parent,
        ]);

        $query->andFilterWhere(['like', 'name', $this->name])
            ->andFilterWhere(['like', 'route', $this->route])
            ->andFilterWhere(['like', 'parent.name', $this->parent_name]);


        return $dataProvider;
    }
}